List Tasks
curl --request GET \
--url https://api.chunkr.ai/tasks \
--header 'Authorization: <api-key>'import requests
url = "https://api.chunkr.ai/tasks"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.chunkr.ai/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"tasks": [
{
"completed": true,
"configuration": {
"chunk_processing": {
"ignore_headers_and_footers": null,
"target_length": 4096,
"tokenizer": {
"Enum": "Word"
}
},
"error_handling": "Fail",
"ocr_strategy": "All",
"pipeline": "Chunkr",
"segment_processing": {
"Caption": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Footnote": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"FormRegion": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Formula": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"GraphicalItem": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Legend": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"LineNumber": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"ListItem": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Page": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"PageFooter": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"PageHeader": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"PageNumber": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Picture": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Table": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Text": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Title": {
"description": null,
"extended_context": null,
"llm": "<string>"
},
"Unknown": {
"description": null,
"extended_context": null,
"llm": "<string>"
}
},
"segmentation_strategy": "LayoutAnalysis"
},
"created_at": "2023-11-07T05:31:56Z",
"file_info": {
"url": "<string>",
"mime_type": "<string>",
"name": "<string>",
"page_count": 1,
"ss_cell_count": 1
},
"message": "<string>",
"task_id": "<string>",
"version_info": {
"client_version": "Legacy",
"server_version": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"input_file_url": "<string>",
"output": {
"chunks": [
{
"chunk_length": 1,
"segments": [
{
"bbox": {
"height": 123,
"left": 123,
"top": 123,
"width": 123
},
"page_height": 123,
"page_number": 1,
"page_width": 123,
"segment_id": "<string>",
"confidence": 123,
"content": "<string>",
"description": "<string>",
"embed": "<string>",
"image": "<string>",
"llm": "<string>",
"ocr": [
{
"bbox": {
"height": 123,
"left": 123,
"top": 123,
"width": 123
},
"text": "<string>",
"confidence": 123,
"ocr_id": "<string>",
"ss_cell_ref": "<string>"
}
],
"segment_length": 1,
"ss_cells": [
{
"cell_id": "<string>",
"range": "<string>",
"text": "<string>",
"formula": "<string>",
"hyperlink": "<string>",
"style": {
"bg_color": "<string>",
"font_face": "<string>",
"is_bold": true,
"text_color": "<string>"
},
"value": "<string>"
}
],
"ss_header_bbox": {
"height": 123,
"left": 123,
"top": 123,
"width": 123
},
"ss_header_ocr": [
{
"bbox": {
"height": 123,
"left": 123,
"top": 123,
"width": 123
},
"text": "<string>",
"confidence": 123,
"ocr_id": "<string>",
"ss_cell_ref": "<string>"
}
],
"ss_header_range": "<string>",
"ss_header_text": "<string>",
"ss_range": "<string>",
"ss_sheet_name": "<string>",
"text": "<string>"
}
],
"chunk_id": "<string>",
"content": "<string>",
"embed": "<string>"
}
],
"file_name": "<string>",
"mime_type": "<string>",
"page_count": 1,
"pages": [
{
"image": "<string>",
"page_height": 123,
"page_number": 1,
"page_width": 123,
"dpi": 123,
"ss_sheet_name": "<string>"
}
],
"pdf_url": "<string>"
},
"parse_task_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"task_url": "<string>"
}
],
"next_cursor": "2023-11-07T05:31:56Z"
}"<string>""<string>"Tasks
List Tasks
Lists tasks for the authenticated user with cursor-based pagination and optional filtering by date range. Supports ascending or descending sort order and optional inclusion of chunks/base64 URLs.
GET
/
tasks
List Tasks
Authorizations
Query Parameters
Whether to return base64 encoded URLs. If false, the URLs will be returned as presigned URLs.
End date
Whether to include chunks in the output response
Number of tasks per page
Cursor for pagination (timestamp)
Start date
Sort order: 'asc' for ascending, 'desc' for descending (default)
Available options:
asc, desc Filter by one or more task types
Available options:
Parse, Extract Filter by one or more statuses
The status of the task.
Available options:
Starting, Processing, Succeeded, Failed, Cancelled ⌘I